Unit tde85e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE85E_p, DE85E_p;

function tde85e: String;

implementation

function tde85e: String;
var
M,N,IERR :Integer;
XN,XK,HMIN,EPS,P,H :Extended;
YN :Array [0..1] of Extended;
Y :Array [0..1] of Extended;
R :Array [0..34] of Extended;
begin
Result := '';  {   }
M := 2;
XN := 1.e0;
YN[0] := 49.e0;
YN[1] := 50.e0;
HMIN := 1.e-10;
EPS := 1.e-8;
P := 100.e0;
H := 0.01e0;
XK := 6.e0;
N := 2;
DE85E (FDE85E,M,XN,YN,XK,HMIN,EPS,P,N,H,Y,R,IERR);
Result := Result + Format('  %20.16f   %20.16f   %20.16f   %1d ',
 [Y[0],Y[1],H,IERR]) + #$0D#$0A;
UtRes('tde85e',Result);  {     tde85e.res }
exit;
end;

end.
